FLAC__EntropyCodingMethod_PartitionedRice Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

unsigned | order
const FLAC__EntropyCodingMethod_PartitionedRiceContents * | contents

## Detailed Description

Header for a Rice partitioned residual. (c.f. format specification)

## Member Data Documentation

## order

unsigned FLAC__EntropyCodingMethod_PartitionedRice::order

The partition order, i.e. # of contexts = 2 ^ order.

## contents

const FLAC__EntropyCodingMethod_PartitionedRiceContents* FLAC__EntropyCodingMethod_PartitionedRice::contents

The context's Rice parameters and/or raw bits.

The documentation for this struct was generated from the following file:

- /build/jenkins/v2016.12/machine/raspberrypi/build/tmp-angstrom-glibc/work/arm1176jzfshf-vfp-angstrom-linux-gnueabi/flac/1.3.1-r0/flac-1.3.1/include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |